Bug 447072 - nautilus-share uses deprecated extensions-1.0 directory.
Summary: nautilus-share uses deprecated extensions-1.0 directory.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-share
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NEEDSRETESTING
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-17 16:26 UTC by Dams
Modified: 2013-01-10 04:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-18 16:46:50 UTC


Attachments (Terms of Use)
move to extensions-2.0 (-p1 patch) (1.02 KB, patch)
2008-11-12 23:24 UTC, Muayyad Alsadi
no flags Details | Diff
fix the icon (-p1) (565 bytes, patch)
2008-11-12 23:24 UTC, Muayyad Alsadi
no flags Details | Diff
updated spec file (3.35 KB, application/octet-stream)
2008-11-12 23:25 UTC, Muayyad Alsadi
no flags Details
fixed spec file (3.35 KB, text/plain)
2008-11-12 23:27 UTC, Muayyad Alsadi
no flags Details
move to extensions-2.0 (-p1 patch) (403 bytes, application/octet-stream)
2008-11-13 15:58 UTC, Muayyad Alsadi
no flags Details
fix the icon (-p1) (347 bytes, application/octet-stream)
2008-11-13 15:58 UTC, Muayyad Alsadi
no flags Details

Description Dams 2008-05-17 16:26:40 UTC
Description of problem: 
See similar bug #447035 comment #5 for details.

[anvil@gruyere /usr/lib64/nautilus/extensions-1.0]# l
libnautilus-actions.so  libnautilus-share.so

libnautilus-share.so should be in extensions-2.0. 
nautilus-share currently just cannot work.

Version-Release number of selected component:
nautilus-share(0:0.7.2-12.fc9).x86_64

Comment 1 Muayyad Alsadi 2008-11-12 22:16:33 UTC
I have fixed this bug
http://www.ojuba.org/downloads/updates/1/SRPMS/nautilus-share-0.7.2-13.oj2.src.rpm
http://www.ojuba.org/downloads/updates/1/i386/nautilus-share-0.7.2-13.oj2.i386.rpm

please test it and update it
[can we make the nautilus-share samba config to be in the default samba package conf]

Comment 2 Muayyad Alsadi 2008-11-12 23:24:11 UTC
Created attachment 323399 [details]
move to extensions-2.0  (-p1 patch)

update the makefiles to use extensions-2.0 directory

Comment 3 Muayyad Alsadi 2008-11-12 23:24:58 UTC
Created attachment 323401 [details]
fix the icon (-p1)

Comment 4 Muayyad Alsadi 2008-11-12 23:25:27 UTC
Created attachment 323402 [details]
updated spec file

Comment 5 Muayyad Alsadi 2008-11-12 23:27:06 UTC
Created attachment 323403 [details]
fixed spec file

Comment 6 Jesse Keating 2008-11-12 23:38:40 UTC
This is building as http://koji.fedoraproject.org/koji/taskinfo?taskID=929890

When it is done, please test that build to verify that the build was done successfully.

Comment 7 Jesse Keating 2008-11-13 00:05:25 UTC
Strike that, build failed and I had to re-gen the patches.  Bugzilla eats patches rather badly :/

http://koji.fedoraproject.org/koji/taskinfo?taskID=929933

Comment 8 Muayyad Alsadi 2008-11-13 15:58:10 UTC
Created attachment 323467 [details]
move to extensions-2.0  (-p1 patch)

compressed so that bugzilla won't eat white spaces

Comment 9 Muayyad Alsadi 2008-11-13 15:58:38 UTC
Created attachment 323468 [details]
fix the icon (-p1)

Comment 10 Jesse Keating 2008-11-15 16:42:35 UTC
Please test the build from comment #7 and tell me if it works or not, so that we can tag this for the release.

Comment 11 Muayyad Alsadi 2008-11-15 16:58:05 UTC
I did, and I told you that in the IRC

yes, I removed my package then installed that one on comment #7
then I typed
killall nautilus
and after that I noticed that it works ie. the shared options on right click menu appears

please tag it,
thanks

Comment 12 Jesse Keating 2008-11-18 16:46:50 UTC
It has been tagged.


Note You need to log in before you can comment on or make changes to this bug.